std::discard_block_engine< _RandomNumberEngine, __p, __r >(3)

NAME
std::discard_block_engine< _RandomNumberEngine, __p, __r > -

SYNOPSIS

Detailed Description

  template<typename _RandomNumberEngine, size_t __p, size_t __r>class std::discard_block_engine< _RandomNumberEngine, __p, __r >
Produces random numbers from some base engine by discarding blocks of data.

0 <= __r <= __p

Definition at line 856 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.